<?php

/*
---------------------------
Функция вывода валюты сайта
---------------------------
*/
  
FUNCTION MONEY($sum, $money, $type_name = 1) {
  
  //$sum - сумма которую будем выводить в валюте
  //$money - выбранная валюта на сайте
  //$type_name - тип выводимого имени валюты (просто название валюты или международное значение, если 0 то ничего не выводим)
  
  //Российские/Белорусские рубли
  IF ($money == "RUB" || $money == "BYN"){ 
    
    $m1 = 'рубль';
    $m2 = 'рубля';
    $m3 = 'рублей';
    
  //Украинские гривны
  }ELSEIF ($money == "UAH"){ 
    
    $m1 = 'гривна';
    $m2 = 'гривны';
    $m3 = 'гривен';
    
  //Казахские тенге
  }ELSEIF ($money == "KZT"){ 
    
    $m1 = 'тенге';
    $m2 = 'тенге';
    $m3 = 'тенге';
    
  //Узбекские сумы
  }ELSEIF ($money == "UZS"){ 
    
    $m1 = 'сум';
    $m2 = 'сума';
    $m3 = 'сумов';
    
  //Азербайджанские/Туркменские манаты
  }ELSEIF ($money == "AZN" || $money == "TMT"){ 
    
    $m1 = 'манат';
    $m2 = 'маната';
    $m3 = 'манатов';
    
  //Грузинские лари
  }ELSEIF ($money == "GEL"){ 
    
    $m1 = 'лари';
    $m2 = 'лари';
    $m3 = 'лари';
    
  //Армянские драмы
  }ELSEIF ($money == "AMD"){ 
    
    $m1 = 'драм';
    $m2 = 'драма';
    $m3 = 'драмов';
    
  //Таджикские сомони
  }ELSEIF ($money == "TJS"){ 
    
    $m1 = 'сомони';
    $m2 = 'сомони';
    $m3 = 'сомони';
    
  //Киргизские сомы
  }ELSEIF ($money == "KGS"){ 
    
    $m1 = 'сом';
    $m2 = 'сома';
    $m3 = 'сомов';
    
  //Молдавские леи
  }ELSEIF ($money == "MDL"){ 
    
    $m1 = 'лей';
    $m2 = 'лея';
    $m3 = 'леев';
    
  //Доллары
  }ELSEIF ($money == "USD"){ 
    
    $m1 = 'доллар';
    $m2 = 'доллара';
    $m3 = 'долларов';
    
  //Евро
  }ELSEIF ($money == "EUR"){ 
    
    $m1 = 'евро';
    $m2 = 'евро';
    $m3 = 'евро';
    
  //Серебро
  }ELSEIF ($money == "SLV"){ 
    
    $m1 = 'серебро';
    $m2 = 'серебра';
    $m3 = 'серебра';
    
  //Рубины
  }ELSEIF ($money == "RBN"){ 
    
    $m1 = 'рубин';
    $m2 = 'рубина';
    $m3 = 'рубинов';
    
  //Монеты
  }ELSEIF ($money == "MON"){ 
    
    $m1 = 'монета';
    $m2 = 'монеты';
    $m3 = 'монет';
    
  //Голоса
  }ELSEIF ($money == "VCS"){ 
    
    $m1 = 'голос';
    $m2 = 'голоса';
    $m3 = 'голосов';
    
  }
  
  //Склоняем имя валюты
  $num = ABS($sum) % 100;
  $num_x = $num % 10;
  
  IF ($num > 10 && $num < 20){ 
    
    $m = $m3; 
  
  }ELSEIF ($num_x > 1 && $num_x < 5){ 
    
    $m = $m2; 
  
  }ELSEIF ($num_x == 1){ 
    
    $m = $m1; 
  
  }ELSE{
    
    $m = $m3;
  
  }
  
  //Вывод имени валюты
  IF ($type_name == 1){ 
    
    $mn = " ".LG($m).""; 
  
  }ELSEIF ($type_name == 2){ 
    
    $mn = " ".CONFIG('MONEY').""; 
  
  }ELSEIF ($type_name == 3){ 
    
    $mn = " ".LG($m)." (".CONFIG('MONEY').")"; 
  
  }ELSE{ 
    
    $mn = NULL; 
  
  }
  
  //Десятичный формат
  IF (CONFIG('MONEY_SET') == 1){
    
    RETURN "".TEXT_ABSOLUTE($sum)."".TEXT_ABSOLUTE($mn)."";
    
  //Обычный формат
  }ELSE{
    
    RETURN "".INTVAL($sum)."".TEXT_ABSOLUTE($mn)."";  
  
  }
  
}
  
?>